/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd. All rights reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/


#ifndef __MSG_SERVICE_DOC_H__
#define __MSG_SERVICE_DOC_H__


/**
 * @ingroup CAPI_MESSAGING_FRAMEWORK
 * @defgroup MSG_SERVICE_FRAMEWORK msg-service
 * @brief The @ref MSG_SERVICE_FRAMEWORK API provides functions to create, set properties and send or receive a SMS/MMS message.
 *
 * @addtogroup MSG_SERVICE_FRAMEWORK
 *
 * @section MSG_SERVICE_FRAMEWORK_OVERVIEW Overview
 *
 * The Messages API provides the following functionalities:
 *
 * - Creating a message
 * - Setting the message properties
 * - Sending a message
 * - Getting a message information(s)
 * - Searching for messages
 * - Registering/Unregistering a callback function to check whether a message is sent successfully or not
 * - Registering/Unregistering a callback function to receive notifications when an incoming message is received
 *
 * <BR>
 *
 */


#endif /* __MSG_SERVICE_DOC_H__ */
